MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023305Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 17:222012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023305: One index value verified twice in BRepFill_TrimShellCorner.cxx
DescriptionIn line 364

if((anIndex1 == 0) || (anIndex1 == 0))

Should be:

if((anIndex1 == 0) || (anIndex2 == 0))
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021018)
Pawel (developer)
2012-07-17 17:33

Corresponding git branch pushed. Please review.
(0021035)
abv (manager)
2012-07-18 08:59

No remarks, please test
(0021062)
apn (administrator)
2012-07-19 12:18

Dear BugMaster,
The workbenches
KAS:dev:mkv-23305-occt (GIT branch CR23305)
KAS:dev:mkv-23305-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23305-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master f7233960
Timestamp: 2012-07-17 13:31:40
Author: Pawel
Details ] Diff ]
0023305: One index value verified twice in BRepFill_TrimShellCorner.cxx

Verifying both affected indexes instead of one.
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 17:22 Pawel New Issue
2012-07-17 17:22 Pawel Assigned To => Pawel
2012-07-17 17:33 Pawel Note Added: 0021018
2012-07-17 17:33 Pawel Assigned To Pawel => bugmaster
2012-07-17 17:33 Pawel Status new => resolved
2012-07-18 08:59 abv Note Added: 0021035
2012-07-18 08:59 abv Status resolved => reviewed
2012-07-18 11:49 mkv Assigned To bugmaster => mkv
2012-07-19 11:10 apn Assigned To mkv => apn
2012-07-19 12:18 apn Note Added: 0021062
2012-07-19 12:19 apn Test case number => Not needed
2012-07-19 12:19 apn Assigned To apn => bugmaster
2012-07-19 12:19 apn Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master f7233960
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker